unit Guide;

interface

uses
  SysUtils;

type
  Guiding = class
  public
    procedure versionGuide(v: String; comments: Boolean);
  end;

const
  VERSION_TEXT = 'version.txt';

implementation

procedure Guiding.versionGuide(v: String; comments: Boolean);
begin
  WriteLn( 'Utf8to16 FPC Version ' + v );
  WriteLn('');
  if comments then
    begin
      WriteLn('utf8to16 UTF8            # Produce utf8to16.txt ');
      WriteLn('utf8to16 UTF8 UTF16      # Produce a new file. ');
      WriteLn('utf8to16 -o UTF16 UTF8   # Produce a new file. ');
      WriteLn('utf8to16 -0 UTF8         # Every line includes 0Dh. ');
      WriteLn('utf8to16 -t UTF8 UTF16   # UTF8 has the same time as UTF16. ');
      WriteLn('utf8to16 -b UTF8         # Produce binary.tmp ');
      WriteLn('utf8to16 -b name name    # Produce and rename binary.tmp ');
      WriteLn('utf8to16 -b -y UTF8      # Do not remove binary.tmp ');
      WriteLn('utf8to16 -G              # Guide ');
      WriteLn('utf8to16 -LF UTF8        # 0Dh is removed from every line. ');
      WriteLn('utf8to16 -V              # Version ');
    end
  else
    begin
      WriteLn('utf8to16 UTF8            ');
      WriteLn('utf8to16 UTF8 UTF16      ');
      WriteLn('utf8to16 -o UTF16 UTF8   ');
      WriteLn('utf8to16 -0 UTF8         ');
      WriteLn('utf8to16 -t UTF8 UTF16   ');
      WriteLn('utf8to16 -b UTF8         ');
      WriteLn('utf8to16 -b name name    ');
      WriteLn('utf8to16 -b -y UTF8      ');
      WriteLn('utf8to16 -G              ');
      WriteLn('utf8to16 -LF UTF8        ');
      WriteLn('utf8to16 -V              ');
    end;

end;

end.
