unit FinalEffect;

interface

uses
  SysUtils;

type
  FinalEffects = class
  private
    carriage_return: Boolean;
    file_name: String;
    identical_time: Boolean;
    new_name: String;
    no_removing: Boolean;
    path_name: String;
    focal_point: Integer;
    remove_0Dh: Boolean;
    temporary_binary: Boolean;
  public
    function atPoint: Integer;
    function carriageReturn: Boolean;
    function fileName: String;
    function identicalTime: Boolean;
    function newName: String;
    function noRemoving: Boolean;
    function pathName: String;
    function produceTemporaryBinary: Boolean;
    function remove0Dh: Boolean;
    procedure setting(fn: String; nn: String; pn: String;
      fp: Integer;
      cr: Boolean; it: Boolean; nr: Boolean; r0: Boolean; tb: Boolean);

  end;

implementation

function FinalEffects.atPoint: Integer;
begin
  Result := focal_point;
end;

function FinalEffects.carriageReturn: Boolean;
begin
  Result := carriage_return;
end;

function FinalEffects.fileName: String;
begin
  Result := file_name;
end;

function FinalEffects.identicalTime: Boolean;
begin
  Result := identical_time;
end;

function FinalEffects.newName: String;
begin
  Result := new_name;
end;

function FinalEffects.noRemoving: Boolean;
begin
  Result := no_removing;
end;

function FinalEffects.pathName: String;
begin
  Result := path_name;
end;

function FinalEffects.produceTemporaryBinary: Boolean;
begin
  Result := temporary_binary;
end;

function FinalEffects.remove0Dh: Boolean;
begin
  Result := remove_0Dh;
end;

procedure FinalEffects.setting(fn: String; nn: String; pn: String;
  fp: Integer;
  cr: Boolean; it: Boolean; nr: Boolean; r0: Boolean; tb: Boolean);

begin
{ String }
  file_name := fn;
  new_name := nn;
  path_name := pn;

{ Integer }
  focal_point := fp;

{ Boolean }
  carriage_return := cr;
  identical_time := it;
  no_removing := nr;
  remove_0Dh := r0;
  temporary_binary := tb;
end;

end.
